PACCHECK(1)

NUME
paccheck - verifică pachetele instalate

SINOPSIS
 paccheck [opțiuni] [<pachet>]...
 paccheck (--help|--version)

DESCRIERE
Verifică pachetele instalate. Pachete suplimentare pot fi specificate la intrarea standard. Dacă nu se furnizează niciun pachet, vor fi verificate toate pachetele instalate. În mod implicit, vor fi verificate doar dependențele pachetelor și informațiile de bază despre fișiere.

OPȚIUNI

--config=ruta
    Stabilește o rută alternativă pentru fișierul de configurare.

--dbpath=ruta
    Stabilește o rută alternativă pentru baza de date.

--root=ruta
    Stabilește o rădăcină de instalare alternativă.

--sysroot=ruta
    Stabilește o rădăcină alternativă a sistemului. A se vedea pacutils-sysroot(7).

--null[=separator]
    Stabilește un separator alternativ pentru valorile analizate din intrarea-standard. În mod implicit, ca separator se utilizează o nouă linie "\n". Dacă se utilizează --null fără a se specifica separator, se va folosi "NUL".

--list-broken
    Afișează numai numele pachetelor care nu au trecut verificările selectate.

--quiet
    Afișează mesaje numai dacă se găsește o problemă.

--recursive
    Efectuează în mod recurent verificări și asupra dependențelor pachetelor.

--depends
    Verifică dacă toate dependențele pachetului sunt îndeplinite.

--opt-depends
    Verifică dacă toate dependențele opționale ale pachetului sunt îndeplinite.

--files
    Verifică fișierele de pachete în baza de date locală.

--file-properties
    Verifică fișierele pachetului în raport cu datele din „MTREE”.

--md5sum
    Verifică sumele md5 ale fișierelor cu datele din „MTREE”.

--sha256sum
    Verifică sumele sha256 ale fișierelor cu datele din „MTREE”.

--require-mtree
    Trateazăi datele lipsă din „MTREE” ca o eroare pentru --db-files și/sau --file-properties.

--db-files
    Include fișierele de baze de date în verificările --files și --file-properties. --files va testa existența fișierelor desc, files și mtree (cu --require-mtree) în intrarea în baza de date a pachetului. --file-properties va verifica fișierele install și changelog din baza de date a pachetului, dacă este cazul.

--backup
    Include fișierele de copie de rezervă în verificările de modificare a fișierelor.

--noextract
    Include fișierele NoExtract în verificările de modificare a fișierelor.

--noupgrade
    Include fișierele NoUpgrade în verificările de modificare a fișierelor.

--help
    Afișează informațiile de utilizare și iese.

--version
    Afișează informațiile despre versiune și iese.

AVERTISMENTE
paccheck determină dacă trebuie sau nu să citească pachete de la intrarea standard pe baza unei verificări simple folosind isatty(3). Dacă paccheck este apelat într-un mediu, cum ar fi o funcție de shell sau un script utilizat într-o conductă, în care intrarea standard nu este conectată la un terminal, dar nu conține pachete de verificat, paccheck trebuie apelat cu intrarea standard închisă. Pentru shell-urile compatibile POSIX, acest lucru se poate face cu "<&-".

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.